English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# The capability package

## Introduction

Package capability exposes information about outages and scheduled downtime for specific API capabilities.

Example:

    if !capability.Enabled(c, "datastore_v3", "write") {
        // show user a different page
    }

## Functions

func Enabled

  `func Enabled(c appengine.Context, api, capability string) bool`

  Enabled returns whether an API's capabilities are enabled. The wildcard "*" capability matches every capability of an API. If the underlying RPC fails (if the package is unknown, for example), false is returned and information is written to the application log.